import request from '@/utils/request'

// 查询审批模板列表
export function A_listAuditModel(query) {
  return request({
    url: '/open/home/mobile/modelList',
    method: 'get',
    params: query
  })
}

// 查询审批模板详细
export function A_getAuditModel(id) {
  return request({
    url: '/approval/auditmodel/get/' + id,
    method: 'get'
  })
}

// 新增审批模板
export function A_addAuditModel(data) {
  return request({
    url: '/approval/auditmodel/add',
    method: 'post',
    data: data
  })
}

// 修改审批模板
export function A_updateAuditModel(data) {
  return request({
    url: '/approval/auditmodel/edit',
    method: 'post',
    data: data
  })
}

// 删除审批模板
export function A_deleteAuditModel(id) {
  return request({
    url: '/approval/auditmodel/remove/' + id,
    method: 'post'
  })
}
